Viewing Issue Advanced Details Jump to Notes ] deco32.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03568 Crash/Freeze Critical (emulator) Random Dec 11, 2009, 18:07 Jan 14, 2012, 20:36
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Windows 2000
Status [?] Resolved   Driver deco32.cpp
Version 0.135u3 Fixed in Version 0.144u6 Build Normal
Summary 03568: lockload, gunhard: Access Violation after OK
Description This only seems to happen when there is no .NVRAM already made. Also, it doesn't happen all the time, either. This means that the first run crashes - the 2nd and sequential does not.

*** 14/01/2012 (mame 0.144ux) update: Crash still happens, nvram or not probably does not matter, it's just that it's not always reproduceable.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems lockload, gunhard
Attached Files
 


-  Notes
User avatar
No.05255
Fujix
(Administrator)
Dec 12, 2009, 08:57
I didnt confirm this crash for my 10+ time trials.
User avatar
No.05259
Tafoid
(Administrator)
Dec 12, 2009, 14:53
It's highly random for me as well. The only time I was able to trigger it is without an nvram. Of course, a debug/symbols build yields no information..
User avatar
No.05270
Haze
(Senior Tester)
Dec 13, 2009, 21:18
I have a feeling there must be some very subtle memory overwrite problem with some component of the Data East emulation. I was never able to reproduce reported crashes in several other Data East drivers that were posted on here either.

I think it'll take one of those code anaylsis tools to pick it up
User avatar
No.05271
Firewave
(Senior Tester)
Dec 13, 2009, 21:22
cppcheck didn't report anything. And valgrind didn't pick up the subtle issue in videopkr either, so I am not confident it might find something here. I have no linux system at the moment, so unfortunately I can't test it.
User avatar
No.05387
Firewave
(Senior Tester)
Jan 4, 2010, 17:30
edited on: Jan 4, 2010, 17:31
It crashed for me with the "Reset" dipswitch set to "On" with the official 0.136 binary during the regtest. Not reproducible outside of it.

-----------------------------------------------------
Exception at EIP=00CF0AB4: ACCESS VIOLATION
While attempting to read memory at 00000034
-----------------------------------------------------
EAX=00000000 EBX=0D237920 ECX=0D232028 EDX=0022FC68
ESI=0D223594 EDI=0D2375A4 EBP=0022FC88 ESP=0022FBF0

User avatar
No.05775
Tafoid
(Administrator)
Feb 25, 2010, 22:19
I'll reopen this when we can reproduce it effectively. Closing.